summaryrefslogtreecommitdiffstats
path: root/source/x/x11/src/get-xf86-video-nouveau.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/x/x11/src/get-xf86-video-nouveau.sh
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/x/x11/src/get-xf86-video-nouveau.sh')
-rwxr-xr-xsource/x/x11/src/get-xf86-video-nouveau.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/source/x/x11/src/get-xf86-video-nouveau.sh b/source/x/x11/src/get-xf86-video-nouveau.sh
new file mode 100755
index 000000000..72d3efd37
--- /dev/null
+++ b/source/x/x11/src/get-xf86-video-nouveau.sh
@@ -0,0 +1,22 @@
+# Pull a stable branch + patches
+BRANCH=master
+
+rm -rf xf86-video-nouveau
+git clone git://anongit.freedesktop.org/git/nouveau/xf86-video-nouveau/
+
+# use master branch
+#( cd xf86-video-nouveau
+# git checkout $BRANCH || exit 1
+#)
+
+HEADISAT="$(cat xf86-video-nouveau/.git/packed-refs | grep refs/remotes/origin/$BRANCH | cut -b1-7)"
+# Cleanup. We're not packing up the whole git repo.
+( cd xf86-video-nouveau && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+DATE=$(date +%Y%m%d)
+mv xf86-video-nouveau xf86-video-nouveau-git_${DATE}_${HEADISAT}
+tar cf xf86-video-nouveau-git_${DATE}_${HEADISAT}.tar xf86-video-nouveau-git_${DATE}_${HEADISAT}
+xz -9 xf86-video-nouveau-git_${DATE}_${HEADISAT}.tar
+rm -rf xf86-video-nouveau-git_${DATE}_${HEADISAT}
+echo
+echo "xf86-video-nouveau branch $BRANCH with HEAD at $HEADISAT packaged as xf86-video-nouveau-git_${DATE}_${HEADISAT}.tar.xz"
+echo